Bug 507381 - qgis-python doesn't load
qgis-python doesn't load
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qgis (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 11:29 EDT by Russell Harrison
Modified: 2009-08-17 17:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 17:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2009-06-22 11:29:12 EDT
Description of problem:
When you install the qgis-python package qgis doens't load the python extensions when it starts.

Version-Release number of selected component (if applicable):
$ rpm -qa qgis*
qgis-python-1.0.1-1.fc10.i386
qgis-1.0.1-1.fc10.i386

How reproducible:
Every time.

Steps to Reproduce:
1. Install qgis-python
2. Start qgis
  
Actual results:
The python console and download python plugins entries are not under the plugins menu.

Expected results:
Able to use the python console or download python plugins using the python plugin manager.

Additional info:
I found the solution in the qgis mailing lists.  Creating a symlink from /usr/lib/libqgispython.so.1.0 to /usr/lib/libqgispython.so seems to have resolved the issue and everything is working as expected.
http://lists.osgeo.org/pipermail/qgis-user/2008-December/004177.html
Comment 1 Fedora Update System 2009-07-30 21:40:37 EDT
qgis-1.0.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qgis-1.0.2-1.fc10
Comment 2 Fedora Update System 2009-07-30 21:40:42 EDT
qgis-1.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qgis-1.0.2-1.fc11
Comment 3 Fedora Update System 2009-08-01 19:59:05 EDT
qgis-1.0.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qgis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8205
Comment 4 Fedora Update System 2009-08-01 20:02:26 EDT
qgis-1.0.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qgis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8216
Comment 5 Russell Harrison 2009-08-07 14:34:33 EDT
I have confirmed that the symlink mentioned in bug#507381 is now owned by the qgis-python package and that python plugins load correctly for both F10 and F11.
Comment 6 Fedora Update System 2009-08-17 17:58:50 EDT
qgis-1.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-08-17 17:59:05 EDT
qgis-1.0.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.